Upstream information

CVE-2017-7859 at MITRE

Description

FFmpeg before 2017-03-05 has an out-of-bounds write caused by a heap-based buffer overflow related to the ff_h264_slice_context_init function in libavcodec/h264dec.c.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.48
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1034183 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.2
  • ffmpeg >= 3.3-6.6.1
  • ffmpeg-debuginfo >= 3.3-6.6.1
  • ffmpeg-debugsource >= 3.3-6.6.1
  • libavcodec-devel >= 3.3-6.6.1
  • libavcodec57 >= 3.3-6.6.1
  • libavcodec57-32bit >= 3.3-6.6.1
  • libavcodec57-debuginfo >= 3.3-6.6.1
  • libavcodec57-debuginfo-32bit >= 3.3-6.6.1
  • libavdevice-devel >= 3.3-6.6.1
  • libavdevice57 >= 3.3-6.6.1
  • libavdevice57-32bit >= 3.3-6.6.1
  • libavdevice57-debuginfo >= 3.3-6.6.1
  • libavdevice57-debuginfo-32bit >= 3.3-6.6.1
  • libavfilter-devel >= 3.3-6.6.1
  • libavfilter6 >= 3.3-6.6.1
  • libavfilter6-32bit >= 3.3-6.6.1
  • libavfilter6-debuginfo >= 3.3-6.6.1
  • libavfilter6-debuginfo-32bit >= 3.3-6.6.1
  • libavformat-devel >= 3.3-6.6.1
  • libavformat57 >= 3.3-6.6.1
  • libavformat57-32bit >= 3.3-6.6.1
  • libavformat57-debuginfo >= 3.3-6.6.1
  • libavformat57-debuginfo-32bit >= 3.3-6.6.1
  • libavresample-devel >= 3.3-6.6.1
  • libavresample3 >= 3.3-6.6.1
  • libavresample3-32bit >= 3.3-6.6.1
  • libavresample3-debuginfo >= 3.3-6.6.1
  • libavresample3-debuginfo-32bit >= 3.3-6.6.1
  • libavutil-devel >= 3.3-6.6.1
  • libavutil55 >= 3.3-6.6.1
  • libavutil55-32bit >= 3.3-6.6.1
  • libavutil55-debuginfo >= 3.3-6.6.1
  • libavutil55-debuginfo-32bit >= 3.3-6.6.1
  • libpostproc-devel >= 3.3-6.6.1
  • libpostproc54 >= 3.3-6.6.1
  • libpostproc54-32bit >= 3.3-6.6.1
  • libpostproc54-debuginfo >= 3.3-6.6.1
  • libpostproc54-debuginfo-32bit >= 3.3-6.6.1
  • libswresample-devel >= 3.3-6.6.1
  • libswresample2 >= 3.3-6.6.1
  • libswresample2-32bit >= 3.3-6.6.1
  • libswresample2-debuginfo >= 3.3-6.6.1
  • libswresample2-debuginfo-32bit >= 3.3-6.6.1
  • libswscale-devel >= 3.3-6.6.1
  • libswscale4 >= 3.3-6.6.1
  • libswscale4-32bit >= 3.3-6.6.1
  • libswscale4-debuginfo >= 3.3-6.6.1
  • libswscale4-debuginfo-32bit >= 3.3-6.6.1
Patchnames:
openSUSE-2017-524